## GoOptionMenu

GoOptionMenu

## Synopsis

    GtkWidget*          go_option_menu_new                  (void);
    void                go_option_menu_set_menu             (GOOptionMenu *option_menu,
                                                             GtkWidget *menu);
    void                go_option_menu_set_history          (GOOptionMenu *option_menu,
                                                             GSList *selection);
    GtkWidget*          go_option_menu_get_history          (GOOptionMenu *option_menu);

## Description

## Details

### go_option_menu_new ()

    GtkWidget*          go_option_menu_new                  (void);

Returns : |

### go_option_menu_set_menu ()

    void                go_option_menu_set_menu             (GOOptionMenu *option_menu,
                                                             GtkWidget *menu);

`option_menu` : |
`menu` : |

### go_option_menu_set_history ()

    void                go_option_menu_set_history          (GOOptionMenu *option_menu,
                                                             GSList *selection);

`option_menu` : |
`selection` : |

### go_option_menu_get_history ()

    GtkWidget*          go_option_menu_get_history          (GOOptionMenu *option_menu);

Retrieves the currently selected menu item.

`option_menu` : | a GOOptionMenu
Returns : | the selected menu_item